Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoMarshalSpec

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>
              com.nativelibs4java.mono.MonoMarshalSpec

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>>

Direct Known Subclasses:
  MonoMarshalSpec.ByReference, MonoMarshalSpec.ByValue

    public class MonoMarshalSpec

extends Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>

native declaration : mono\metadata\metadata.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoMarshalSpec.ByReference`
`static class` | `MonoMarshalSpec.ByValue`
`static class` | `MonoMarshalSpec.data_union`

Field Summary
`MonoMarshalSpec.data_union` | `data`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoMarshalSpec()`
`MonoMarshalSpec(MonoMarshalSpec.data_union data)`

Method Summary
`protected MonoMarshalSpec.ByReference` | `newByReference()`
`protected MonoMarshalSpec.ByValue` | `newByValue()`
`protected MonoMarshalSpec` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### data

    public MonoMarshalSpec.data_union data

Constructor Detail

### MonoMarshalSpec

    public MonoMarshalSpec()

### MonoMarshalSpec

    public MonoMarshalSpec(MonoMarshalSpec.data_union data)

Method Detail

### newByReference

    protected MonoMarshalSpec.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>`

### newByValue

    protected MonoMarshalSpec.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>`

### newInstance

    protected MonoMarshalSpec newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoMarshalSpec,MonoMarshalSpec.ByValue,MonoMarshalSpec.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD